package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Chief;
import com.lantone.qc.pub.model.entity.General;
import com.lantone.qc.pub.model.label.LeaveHospitalLabel;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description: 出院记录内容缺主诉
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0149 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        try {
            Map<String, String> lhStructureMap = inputInfo.getLeaveHospitalDoc().getStructureMap();
            String bhChief = inputInfo.getBeHospitalizedDoc().getChiefLabel().getText();
            String bhThings = lhStructureMap.get("入院情况");
            if(bhThings.indexOf(bhChief)<0){
                status.set("-1");
            }
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}