package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.Diag;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 出院记录内容缺出院(死亡)诊断
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0154 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        try{
            String text = inputInfo.getLeaveHospitalDoc().getLeaveDiagLabel().getText();
            if(StringUtils.isBlank(text)){
                status.set("-1");
            }
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}