package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.entity.DoctorAdvice;
import com.lantone.qc.pub.model.label.LeaveHospitalLabel;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description: 出院记录内容缺出院医嘱
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0155 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        try {
            String leaveAdvice = inputInfo.getLeaveHospitalDoc().getStructureMap().get("出院医嘱");
            if(StringUtils.isBlank(leaveAdvice)){
                status.set("-1");
            }
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}