package com.lantone.qc.kernel.catalogue.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 手术记录未由主刀或一助书写
 * @author: Mark
 * @time: 2020/04/04 11:22
 */
public class OPE0323 extends QCCatalogue {

    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) throws ParseException {
        status.set("0");
        boolean isOperativePatient = true;//是手术患者(暂时默认是)
        if (isOperativePatient) {
            List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
            if (ListUtil.isNotEmpty(operationDocs)) {
                long count = operationDocs.stream().filter(operationDoc -> {
                    boolean flag = false;
                    if (operationDoc.getOperationRecordDoc() != null) {
                        String surgeon = operationDoc.getOperationRecordDoc().getStructureMap().get("手术医师");
                        String assist1 = operationDoc.getOperationRecordDoc().getStructureMap().get("助手I");
                        String signature = operationDoc.getOperationRecordDoc().getStructureMap().get("主刀医师签名");

                        String operator = surgeon + ", " + assist1;

                        if (!operator.contains(signature)) {
                            flag = true;
                        }
                    }
                    return flag;
                }).count();
                if (count > 0) {
                    status.set("-1");
                }
            }
        }
    }

}