package com.lantone.qc.kernel.catalogue.operationdiscussion;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.operation.OperationDoc;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.pub.util.StringUtil;

import java.text.ParseException;
import java.util.List;

/**
 * @Description: 术后首次病程记录未记录术中所见
 * @author: 胡敬
 * @time: 2020/3/24 13:28
 */
public class OPE0350 extends QCCatalogue {
    @Override
    protected void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        boolean isOperativePatient = true;//是手术患者(暂时默认是)
        if (isOperativePatient) {
            List<OperationDoc> operationDocs = inputInfo.getOperationDocs();
            if (ListUtil.isNotEmpty(operationDocs)) {
                long count = operationDocs.stream().filter(operationDoc -> {
                    boolean flag = false;
                    if (operationDoc.getOperationDiscussionDoc() != null
                            && operationDoc.getOperationDiscussionDoc().getOperationDiscussionLabel() != null
                            && (StringUtil.isBlank(operationDoc.getOperationDiscussionDoc().getOperationDiscussionLabel().getOperativeFindings())
                            || operationDoc.getOperationDiscussionDoc().getOperationDiscussionLabel().getOperativeFindings().length() < 30)) {
                        flag = true;
                    }
                    return flag;
                }).count();
                if (count > 0) {
                    status.set("-1");
                }
            }
        }
    }

}