package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 入院记录文档生成
 * @author: rengb
 * @time: 2020/3/5 15:47
 */
public class TaiZhouBeHospitalizedDocTrans extends ModelDocTrans {

    @Override
    public BeHospitalizedDoc extract(MedrecVo medrecVo) {
        String content = ((List<String>) medrecVo.getContent().get("content")).get(0);

        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(TzXmlUtil.getXmlToMapForTZ(content), keyContrasts);
        BeHospitalizedDoc beHospitalizedDoc = new BeHospitalizedDoc();
        beHospitalizedDoc.setStructureMap(structureMap);

        return beHospitalizedDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList(
            "结节=",
            "月经周期=",
            "脑膜刺激征=",
            "一般健康状况=",
            "蠕动波=",
            "疫区居留史=",
            "舌=",
            "扁桃体=",
            "瞳孔=",
            "Laseque征=",
            "婚姻状况=",
            "肾触及=",
            "鼻体检=",
            "神志水平=",
            "地址=",
            "角膜=",
            "肝边缘肋下=",
            "心脏浊音界(右3肋间)=",
            "瞳孔右侧=",
            "心律=",
            "肌力(左上肢)=",
            "心率=",
            "峡部=",
            "腋下=",
            "深反射=",
            "药物食物中毒史=",
            "本人姓名=",
            "治疗=",
            "周围血管征=",
            "出生地址=",
            "脉搏=",
            "腹式呼吸=",
            "预防接种史=",
            "入病房时间=",
            "病毒性肝炎=",
            "颅神经=",
            "现住址=",
            "肢体形态=",
            "皮下出血=",
            "滑车上=",
            "心脏浊音界(左3肋间)=",
            "婚姻、月经及生育史=",
            "眼球=",
            "头颅外形=",
            "浅表淋巴结体检=",
            "肿大部位=",
            "听力粗测=",
            "扩张静脉及血流方向=",
            "脾表面=",
            "体位=",
            "虹膜=",
            "关节强直=",
            "胆囊大小=",
            "泌尿生殖=",
            "四肢关节检查=",
            "牙=",
            "痛经=",
            "叩诊音=",
            "既往史=",
            "神经系统检查=",
            "鼻出血=",
            "已饮酒=",
            "齿列=",
            "心前区异常搏动=",
            "腹纹=",
            "已吸烟=",
            "病历号=",
            "第I/II/III测量线上脾脏大小=",
            "高血压=",
            "气管位置=",
            "浅反射=",
            "心尖搏动震颤=",
            "月经量=",
            "胸部血管=",
            "肝掌=",
            "脾压痛=",
            "死产=",
            "肾脏检查=",
            "家庭成员遗传性疾病=",
            "心尖搏动=",
            "面容=",
            "感觉=",
            "每日饮酒=",
            "腹部疤痕=",
            "肌力(右上肢)=",
            "脾硬度=",
            "医院=",
            "就诊类别=",
            "胸骨压痛=",
            "专科检查=",
            "肋下/剑突下=",
            "每日吸烟=",
            "意识=",
            "心音=",
            "颈软硬度=",
            "肝结节=",
            "呼吸运动=",
            "腹股沟=",
            "过敏史=",
            "心脏浊音界(右2肋间)=",
            "肝表面=",
            "经期天数=",
            "心尖搏动位置=",
            "定向力=",
            "生日=",
            "心脏浊音界(左4肋间)=",
            "四肢红肿=",
            "耳体检=",
            "头颅畸形=",
            "胆囊压痛=",
            "输血史=",
            "结婚年龄=",
            "腹壁静脉曲张=",
            "触诊=",
            "肺=",
            "抗凝药物情况=",
            "脊柱活动度=",
            "审核=",
            "咽=",
            "浅表淋巴结=",
            "活动=",
            "出生、生长史=",
            "肌力(右下肢)=",
            "皮疹=",
            "脾脏检查=",
            "肝大小=",
            "生命体征=",
            "运动=",
            "本人电话=",
            "桡动脉脉率=",
            "肝边缘剑突下=",
            "皮疹部位=",
            "体重=",
            "语颤触觉=",
            "额外心音=",
            "胸廓=",
            "移动性浊音=",
            "子女健康状况=",
            "颈动脉搏动=",
            "胸部检查=",
            "巩膜=",
            "心脏叩诊=",
            "腹部外形=",
            "肝脏检查=",
            "运动系统：步态=",
            "毛发分布=",
            "肝压痛=",
            "心尖搏动感=",
            "修正诊断=",
            "肾移动度=",
            "查体合作性=",
            "主诉=",
            "心脏杂音=",
            "大病史腹部=",
            "皮肤色泽=",
            "肌力(左下肢)=",
            "肾大小=",
            "实验室检查=",
            "存活=",
            "肌张力=",
            "婚姻=",
            "心脏病=",
            "性别=",
            "腹部检查=",
            "肝区叩击痛=",
            "初步诊断=",
            "头颈部=",
            "心包摩擦感=",
            "包块=",
            "肝上界位于右锁骨中线=",
            "病历状态=",
            "肾压痛=",
            "会诊申请=",
            "肋间隙=",
            "水肿=",
            "唇=",
            "声音=",
            "心脏浊音界(左5肋间)=",
            "肾硬度=",
            "发育=",
            "紧张度=",
            "个人史=",
            "耳廓=",
            "心脏体检=",
            "脐=",
            "听诊=",
            "化学及放射性毒物接触史=",
            "麦氏点压痛=",
            "颈静脉=",
            "相对浊音界=",
            "图片1=",
            "图片2=",
            "呼吸类型=",
            "其它疾病情况=",
            "肠鸣音=",
            "结膜=",
            "浅感觉=",
            "营养会诊=",
            "肛门直肠=",
            "辅助检查结果=",
            "脾质地=",
            "绝经年龄=",
            "肝脏疾病=",
            "病历日期=",
            "生殖器=",
            "胆囊检查=",
            "呼吸=",
            "肺下界(肩胛下)=",
            "呼吸频率/节律=",
            "肛门直肠检查=",
            "体温=",
            "病理反射=",
            "信息来源=",
            "四肢杵状指=",
            "手术外伤史=",
            "职业=",
            "长期用药=",
            "颈抵抗=",
            "白带=",
            "结核病=",
            "动脉壁弹性=",
            "乳房对称度=",
            "传染病史=",
            "表情=",
            "医生=",
            "月经初潮年龄=",
            "口腔体检=",
            "Babinski征=",
            "脊椎=",
            "脾边缘距脐=",
            "脊椎检查=",
            "捻发感=",
            "心脏浊音界(右5肋间)=",
            "血压=",
            "糖尿病=",
            "生命体征(专科检查)=",
            "肝颈回流征=",
            "家族史=",
            "脾边缘肋下=",
            "锁骨上=",
            "泌尿生殖检查=",
            "肺下界移动度左=",
            "其它异常=",
            "心前区隆起=",
            "呼吸音=",
            "血管=",
            "呼吸系统疾病=",
            "副鼻窦压痛=",
            "肌肉萎缩=",
            "肺下界移动度右=",
            "脊柱形态=",
            "工作场所=",
            "婚姻家庭关系和睦=",
            "下肢曲张静脉=",
            "联系人=",
            "口腔粘膜=",
            "顺产(足月)=",
            "肾区叩痛=",
            "输尿管压痛=",
            "审核人=",
            "外耳道分泌物=",
            "胆囊触及=",
            "流产=",
            "蜘蛛痣=",
            "月经规律=",
            "瞳孔左侧=",
            "腹部叩诊音=",
            "肝质地=",
            "配偶健康状况=",
            "深感觉=",
            "脾触及=",
            "反跳痛=",
            "事件基本信息=",
            "家庭成员类似病史=",
            "眼睑=",
            "身高=",
            "年龄=",
            "疝=",
            "目前仍需治疗的其他疾病=",
            "心包摩擦音=",
            "眼部体检=",
            "血管节律=",
            "皮肤弹性=",
            "病人基本信息=",
            "Murphy征=",
            "腺叶=",
            "吸烟=",
            "冶游史=",
            "肌肉压痛=",
            "锁骨中线至前正中线=",
            "头部体检=",
            "临床科室=",
            "饮酒=",
            "压痛=",
            "咽部粘膜=",
            "现病史=",
            "四肢关节=",
            "康复会诊=",
            "视力粗测右=",
            "棘突叩击痛=",
            "鼻通气=",
            "足背动脉搏动=",
            "早产=",
            "民族=",
            "一般情况=",
            "腮腺=",
            "皮肤体检=",
            "工作性质=",
            "影像学检查=",
            "末次月经日期=",
            "血管杂音=",
            "乳突压痛=",
            "补充诊断=",
            "肾脏疾病=",
            "瞳孔对光反射=",
            "关系=",
            "颈检查=",
            "心脏浊音界(左2肋间)=",
            "家庭成员健康情况=",
            "气过水声=",
            "营养=",
            "鼻外形=",
            "肋脊角叩击痛=",
            "审核日期=",
            "内科疾病史(其它)=",
            "脑血管疾病=",
            "甲状腺=",
            "疼痛评分=",
            "肝触及=",
            "皮温及湿度=",
            "视力粗测左=",
            "运动系统：共济失调=",
            "齿龈=",
            "心脏浊音界(右4肋间)="
    );

}