package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 首次病程录文档生成
 * @author: rengb
 * @time: 2020/3/17 13:25
 */
public class TaiZhouFirstCourseRecordDocTrans extends ModelDocTrans {

    @Override
    public FirstCourseRecordDoc extract(MedrecVo medrecVo) {
        String content = ((List<String>) medrecVo.getContent().get("content")).get(0);

        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(TzXmlUtil.getXmlToMapForTZ(content), keyContrasts);

        FirstCourseRecordDoc firstCourseRecordDoc = new FirstCourseRecordDoc();
        firstCourseRecordDoc.setStructureMap(structureMap);

        return firstCourseRecordDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList(
            "入院原因=",
            "鉴别诊断=",
            "检查计划=",
            "病例特点=",
            "审核人=",
            "诊断依据=",
            "药物=",
            "事件日期=",
            "医生=",
            "专科检查=",
            "事件基本信息=",
            "血压=",
            "影像学检查=",
            "年龄=",
            "既往史=",
            "治疗计划和措施=",
            "主诉=",
            "床号=",
            "主任医生=",
            "实验室检查=",
            "病人基本信息=",
            "医疗组长=",
            "就诊次数=",
            "审核日期=",
            "性别=",
            "辅助检查结果=",
            "本人姓名=",
            "入院时在使用的治疗性药物=",
            "病历号=",
            "初步诊断=",
            "病历日期=",
            "现病史-发病情况=",
            "入院日期=",
            "脉搏=",
            "呼吸=",
            "临床科室=",
            "年龄单位=",
            "继续使用=",
            "体温=",
            "审核=",
            "病历状态="
    );

}